From 1b49864a0c764f8e853c8cc9def0626d2e52f24b Mon Sep 17 00:00:00 2001
From: "Bryn M. Reeves" <bmr@redhat.com>
Date: Fri, 13 Jun 2014 17:14:38 +0100
Subject: [PATCH 01/17] [hpasm] new plugin

Collect information for hp Server Management Drivers and Agent.

Signed-off-by: Bryn M. Reeves <bmr@redhat.com>
---
 sos/plugins/hpasm.py | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)
 create mode 100755 sos/plugins/hpasm.py

diff --git a/sos/plugins/hpasm.py b/sos/plugins/hpasm.py
new file mode 100755
index 0000000..e350ea6
--- /dev/null
+++ b/sos/plugins/hpasm.py
@@ -0,0 +1,28 @@
+### This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+import sos.plugintools
+from os.path import exists
+
+class hpasm(sos.plugintools.PluginBase):
+    """HP ASM (hp Server Management Drivers and Agent) information
+    """
+
+    packages = ('hp-health',)
+ 
+    def setup(self):
+        self.addCopySpec("/var/log/hp-health/hpasmd.log")
+        self.collectExtOutput("hpasmcli -s 'show asr'")
+        self.collectExtOutput("hpasmcli -s 'show server'")
+
-- 
1.9.3

